# Generated by Django 4.2.6 on 2023-10-06 19:41

import common.utils
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0049_ifpuser_father_name"),
    ]

    operations = [
        migrations.AlterField(
            model_name="bankaccount",
            name="acc_type",
            field=models.CharField(
                choices=[("CUR", "Current Account"), ("SB", "Savings Account")],
                default="SB",
                max_length=10,
            ),
        ),
        migrations.AlterField(
            model_name="bankaccount",
            name="bank_details_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/bank_proof/", "bank_details_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg", "png"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AlterField(
            model_name="bankaccount",
            name="uid_type",
            field=models.CharField(
                choices=[("IBAN", "IBAN"), ("IFSC", "IFSC"), ("SWIFT", "SWIFT")],
                default="IFSC",
                max_length=10,
            ),
        ),
    ]
